# private cellular radios — NCM API

Beta. The physical radios broadcasting your private cellular networks, including serial number, FCC ID, and the install geometry: location, height, antenna azimuth, downtilt and gain. Read and update: list radios, inspect one by ID, or amend its record. For live signal and health, see private cellular radio statuses.

Base URL: https://api.cradlepointecm.com

### GET /api/v3/beta/private_cellular_radios

private_cellular_radios_list

View for retrieving, creating, editing, and deleting cell.

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| page[after] | query | string | no |  |
| page[before] | query | string | no |  |
| page[size] | query | integer | no |  |
| sort | query | array of string (-name | name) | no | Which field to use when ordering the results. |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_radios" \
  -H "Authorization: Bearer <token>"
```

**Response 200**

```json
{
  "data": [
    {
      "type": "private_cellular_radios",
      "id": "01GZDYERMREKE42562B8NAY5MV",
      "attributes": {
        "serial_number": "MM598963882518",
        "fccid": "UXX-S1A227A",
        "mac": "3d:f2:c9:a6:b3:ab",
        "name": "MM598963882518",
        "description": null,
        "category": "A",
        "indoor_deployment": true,
        "height_type": "AGL",
        "height": 0,
        "latitude": "0",
        "longitude": "0",
        "antenna_azimuth": 0,
        "antenna_downtilt": 0,
        "antenna_gain": 5,
        "antenna_beamwidth": 360,
        "cpi_id": null,
        "cpi_name": null,
        "cpi_signature": null,
        "admin_state": false,
        "bandwidth": 20,
        "tx_power": 24,
        "tdd_mode": 2,
        "updated_at": "2023-05-02T09:59:47.096875Z",
        "created_at": "2023-05-02T09:59:47.096875Z"
      },
      "relationships": {
        "network": {
          "data": {
            "type": "private_cellular_networks",
            "id": "N#eacdf4561"
          }
        },
        "location": {
          "data": null
        },
        "cell_status": {
          "data": null
        }
      },
      "links": {
        "self": "https://api.cradlepointecm.com/api/internal/v1/cells/01GZDYERMREKE42562B8NAY5MV"
      }
    }
  ],
  "meta": {
    "pagination": {
      "before": null,
      "after": null
    }
  }
}
```

### GET /api/v3/beta/private_cellular_radios/{id}

private_cellular_radios_retrieve

View for retrieving, creating, editing, and deleting cell.

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_radios/{id}" \
  -H "Authorization: Bearer <token>"
```

**Response 200**

### PUT /api/v3/beta/private_cellular_radios/{id}

private_cellular_radios_update

View for retrieving, creating, editing, and deleting cell.

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | path | string | yes |  |

**Request body**

**Example request**

```bash
curl -X PUT "https://api.cradlepointecm.com/api/v3/beta/private_cellular_radios/{id}" \
  -H "Authorization: Bearer <token>"
```

**Response 200**

```json
{
  "data": {
    "type": "private_cellular_radios",
    "id": "01GZDYFM60KWX0ZNMPJZFJ7T4Q",
    "attributes": {
      "serial_number": "MM598963882518d",
      "fccid": "UXX-S1A227A",
      "mac": "3d:f2:c9:a6:b3:ab",
      "name": "2201CW500199",
      "description": null,
      "category": null,
      "indoor_deployment": true,
      "height_type": null,
      "height": null,
      "latitude": "43.619752",
      "longitude": null,
      "antenna_azimuth": null,
      "antenna_downtilt": null,
      "antenna_gain": null,
      "antenna_beamwidth": null,
      "cpi_id": null,
      "cpi_name": null,
      "cpi_signature": null,
      "admin_state": false,
      "bandwidth": 2,
      "tx_power": null,
      "tdd_mode": 2,
      "updated_at": "2023-05-02T10:01:58.915511Z",
      "created_at": "2023-05-02T10:00:15.296738Z"
    },
    "relationships": {
      "network": {
        "data": null
      },
      "location": {
        "data": null
      }
    },
    "links": {
      "self": "https://api.cradlepointecm.com/api/internal/v1/cells/01GZDYFM60KWX0ZNMPJZFJ7T4Q"
    }
  }
}
```
